> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampartcorporation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark a job as completed

> Mark the specified job as complete after all required files are uploaded. This triggers Rampart to begin spend analysis and savings opportunity detection for the job.



## OpenAPI

````yaml POST /v2/job/complete/{jobId}
openapi: 3.0.0
info:
  title: Rampart API
  description: Rampart API Documentation
  version: v2
  contact: {}
servers:
  - url: https://api.rampartcorporation.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/job/complete/{jobId}:
    post:
      tags:
        - Job
      summary: Complete a job and start analysis
      description: >-
        Mark the specified job as complete after all required files are
        uploaded. This triggers Rampart to begin spend analysis and savings
        opportunity detection for the job.
      operationId: JobController_markJobAsCompleted
      parameters:
        - name: jobId
          required: true
          in: query
          description: Job ID to complete
          schema:
            type: string
      responses:
        '200':
          description: Job marked as completed
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - client_id
                      - job_id
                      - sync_type
                      - from
                    properties:
                      client_id:
                        type: string
                      job_id:
                        type: string
                      sync_type:
                        type: string
                        enum:
                          - HISTORICAL
                          - INCREMENTAL
                      from:
                        type: string
                        format: date-time
                      to:
                        type: string
                        format: date-time
                        nullable: true
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Bearer authentication header of the form `Bearer <API_KEY>`.

````